Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDoubleValidator.Notation

    java.lang.Object
      java.lang.Enum<QDoubleValidator.Notation>
          com.trolltech.qt.gui.QDoubleValidator.Notation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDoubleValidator.Notation>

Enclosing class:
  QDoubleValidator

    public static enum QDoubleValidator.Notation

extends java.lang.Enum<QDoubleValidator.Notation>
implements QtEnumerator

This enum defines the allowed notations for entering a double.

Enum Constant Summary
`ScientificNotation` The string is written in scientific form.
`StandardNotation` The string is written as a standard number (i.e. 0.015).

Method Summary
`static QDoubleValidator.Notation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDoubleValidator.Notation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDoubleValidator.Notation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### StandardNotation

    public static final QDoubleValidator.Notation StandardNotation

  The string is written as a standard number (i.e. 0.015).

### ScientificNotation

    public static final QDoubleValidator.Notation ScientificNotation

  The string is written in scientific form. It may have an exponent part(i.e. 1.5E-2).

Method Detail

### values

    public static final QDoubleValidator.Notation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDoubleValidator.Notation c : QDoubleValidator.Notation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDoubleValidator.Notation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDoubleValidator.Notation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD